OpenNMS API 1.2.9

## org.opennms.web.admin.notification
Class DestinationWizardServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.admin.notification.DestinationWizardServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class DestinationWizardServlet
extends javax.servlet.http.HttpServlet

A servlet that handles the data comming in from the destination wizard jsps.

Author:
  Jason Johns , OpenNMS
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `SOURCE_PAGE_COMMANDS`
`private java.lang.String` `SOURCE_PAGE_ESCALATE_ADD`
`private java.lang.String` `SOURCE_PAGE_ESCALATE_REMOVE`
`private java.lang.String` `SOURCE_PAGE_INTERVALS`
`private java.lang.String` `SOURCE_PAGE_NAME`
`private java.lang.String` `SOURCE_PAGE_OUTLINE`
`private java.lang.String` `SOURCE_PAGE_PATHS`
`private java.lang.String` `SOURCE_PAGE_TARGETS`

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`DestinationWizardServlet()`

Method Summary
`private Path` `copyPath(Path oldPath)`
`private Target` `copyTarget(Target target)`
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`private java.lang.String` `makeQueryString(java.util.Map map)`
`private void` `removeEscalation(Path path, int index)`
`private void` `saveOutlineForm(Path path, javax.servlet.http.HttpServletRequest request)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOURCE_PAGE_PATHS

    private java.lang.String SOURCE_PAGE_PATHS

### SOURCE_PAGE_OUTLINE

    private java.lang.String SOURCE_PAGE_OUTLINE

### SOURCE_PAGE_TARGETS

    private java.lang.String SOURCE_PAGE_TARGETS

### SOURCE_PAGE_INTERVALS

    private java.lang.String SOURCE_PAGE_INTERVALS

### SOURCE_PAGE_COMMANDS

    private java.lang.String SOURCE_PAGE_COMMANDS

### SOURCE_PAGE_NAME

    private java.lang.String SOURCE_PAGE_NAME

### SOURCE_PAGE_ESCALATE_REMOVE

    private java.lang.String SOURCE_PAGE_ESCALATE_REMOVE

### SOURCE_PAGE_ESCALATE_ADD

    private java.lang.String SOURCE_PAGE_ESCALATE_ADD

Constructor Detail

### DestinationWizardServlet

    public DestinationWizardServlet()

Method Detail

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### saveOutlineForm

    private void saveOutlineForm(Path path,
                                 javax.servlet.http.HttpServletRequest request)

### removeEscalation

    private void removeEscalation(Path path,
                                  int index)

### makeQueryString

    private java.lang.String makeQueryString(java.util.Map map)

### copyPath

    private Path copyPath(Path oldPath)

### copyTarget

    private Target copyTarget(Target target)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.